#!/bin/bash


intfName=$1
netname=passthrough_$intfName


showHelp ()
{
    echo ""
    echo "    Usage:   $0  <interface_name>"
    echo ""
    echo "             example:     $0 eth15"
    echo ""
    echo "List of populated/available interfaces:"
    echo ""
    /home/catapult/vm/utils/showSlotInfo.sh
}


deletePassthroughNetwork ()
{
    if [[ -f /etc/libvirt/qemu/networks/$netname.xml ]]; then
        local netStatus=`sudo virsh net-info $netname`
        if [[ $netStatus == *"UUID:"* ]]; then
            sudo virsh net-undefine $netname
            return
        fi
    fi
    echo "$netname does not exist"
    return 0
}


if [[ "$#" -ne 1 ]]; then
    showHelp
    exit 1
fi

deletePassthroughNetwork


exit 0